
use anyhow::{anyhow,Result,Context};
use std::fs; //, io};
// use std::fs::OpenOptions;
// use std::io::Write;
use std::path::Path;

use app_env::appenv::AppEnv;

#[allow(clippy::missing_errors_doc)]
pub fn load_from_module(env: AppEnv, coll_key: &str) -> (String,String) {
    if let Some(module) = env.modules.get(coll_key) {
      match module.stores.to_owned().as_str() {
        "file" => {
					let store_root =format!("{}/{}/{}",&envmnt::get_or("APP_HOME", "."),&env.get_curr_websrvr_config().home_path,&module.store_root);
          (module.store_frmt.to_owned(), load_fs_content(&store_root, &module.store_path, &module.store_frmt))
				},
        _ => {
          println!("Stores {} load not defined", &module.stores);
          (module.store_frmt.to_owned(), String::from(""))
        },
      }
    } else {
      println!("Context key {} not found",coll_key);
      (String::from(""), String::from(""))
    }
}
#[allow(clippy::missing_errors_doc)]
pub fn load_file(file_path: &str ) -> Result<String> {
  if ! Path::new(&file_path).exists() {
    return Err(anyhow!("File Path {} not found", &file_path));
  }
  let content=fs::read_to_string(&file_path).with_context(|| format!("Failed to read 'file_path' from {}", &file_path))?;  
  Ok(content)
}
pub fn load_fs_content(root: &str, target: &str, frmt: &str) -> String {
  // let home=get_env_path("Kloud_HOME","home", "", &path,false).await?;
  let data_path=format!("{}/{}.{}",&root,&target,&frmt);
  load_file(&data_path).unwrap_or_else(|e| { println!("{}",e); "".to_owned()})
}
